(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('zxcvbn')) :
  typeof define === 'function' && define.amd ? define('ngx-strength-meter', ['exports', '@angular/core', 'zxcvbn'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['ngx-strength-meter'] = {}, global.ng.core, global.zxcvbn));
}(this, (function (exports, core, zxcvbn) { 'use strict';

  function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

  var zxcvbn__default = /*#__PURE__*/_interopDefaultLegacy(zxcvbn);

  var StrengthMeterComponent = /** @class */ (function () {
      function StrengthMeterComponent() {
          this.measure = new core.EventEmitter();
      }
      Object.defineProperty(StrengthMeterComponent.prototype, "value", {
          set: function (value) {
              if (value) {
                  var result = zxcvbn__default['default'](value);
                  this.strength = result.score;
                  this.measure.emit(this.strength);
              }
              else {
                  this.strength = undefined;
              }
          },
          enumerable: false,
          configurable: true
      });
      return StrengthMeterComponent;
  }());
  StrengthMeterComponent.decorators = [
      { type: core.Component, args: [{
                  template: "\n    <div class=\"strength-meter\">\n      <div class=\"strength-meter-fill\" [attr.data-strength]=\"strength\"></div>\n    </div>\n  ",
                  selector: 'strength-meter',
                  styles: ["\n      .strength-meter {\n        position: relative;\n        height: 3px;\n        background: #DDD;\n        margin: 10px auto 20px;\n        border-radius: 3px;\n      }\n\n      .strength-meter:before,\n      .strength-meter:after {\n        content: '';\n        height: inherit;\n        background: transparent;\n        display: block;\n        border-color: #FFF;\n        border-style: solid;\n        border-width: 0 5px 0 5px;\n        position: absolute;\n        width: 80px;\n        z-index: 10;\n      }\n\n      .strength-meter:before {\n        left: 70px;\n      }\n\n      .strength-meter:after {\n        right: 70px;\n      }\n\n      .strength-meter-fill {\n        background: transparent;\n        height: inherit;\n        position: absolute;\n        width: 0;\n        border-radius: inherit;\n        transition: width 0.5s ease-in-out, background 0.25s;\n        -webkit-transition: width 0.5s ease-in-out, background 0.25s;\n      }\n\n      .strength-meter-fill[data-strength='0'] {\n        background: darkred;\n        width: 20%;\n      }\n\n      .strength-meter-fill[data-strength='1'] {\n        background: orangered;\n        width: 40%;\n      }\n\n      .strength-meter-fill[data-strength='2'] {\n        background: orange;\n        width: 60%;\n      }\n\n      .strength-meter-fill[data-strength='3'] {\n        background: yellowgreen;\n        width: 80%;\n      }\n\n      .strength-meter-fill[data-strength='4'] {\n        background: green;\n        width: 100%;\n      }\n    "]
              },] }
  ];
  StrengthMeterComponent.propDecorators = {
      measure: [{ type: core.Output }],
      value: [{ type: core.Input }]
  };

  var COMPONENTS = [StrengthMeterComponent];
  var StrengthMeterModule = /** @class */ (function () {
      function StrengthMeterModule() {
      }
      return StrengthMeterModule;
  }());
  StrengthMeterModule.decorators = [
      { type: core.NgModule, args: [{
                  imports: [],
                  declarations: COMPONENTS,
                  exports: COMPONENTS
              },] }
  ];

  /**
   * Copyright Eisberg Labs
   * MIT license
   * https://github.com/eisberg-labs/ngx-strength-meter
   *
   * Entry point for all public APIs of the package.
   */

  /**
   * Generated bundle index. Do not edit.
   */

  exports.StrengthMeterComponent = StrengthMeterComponent;
  exports.StrengthMeterModule = StrengthMeterModule;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ngx-strength-meter.umd.js.map
